package cn.rankin.cmsweb.service.stmt;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.cms.vo.UserTagStmt;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(value = "${service.user.name}")
public interface StmtUserTagService {

    /**
     * 条件查询
     * 已配置用户标签   终端信息
     * @param searchDTO
     * @return
     */
    @RequestMapping(value = "/stmt/userTagStmt/list", method = RequestMethod.GET)
    APIResult<Page<UserTagStmt>> UserTagStmtPage(@RequestParam Map<String,Object> searchDTO);

}
