package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class MerchantPermitDeviceDTO implements Serializable {

    private String id;

    private String merchantId;

    private String deviceModel;

    @NotNull
    private String provinceCode;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;

    private Integer pageNo = 1;

    private Integer pageSize = 10;

}



