package cn.rankin.userservice.controller;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.cms.StmtSearchDTO;
import cn.rankin.data.api.cms.vo.UserTagStmt;
import cn.rankin.userservice.service.StmtService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;



@Slf4j
@RestController
@RequestMapping(value = "/stmt/userTagStmt")
public class StmtUserTagController
{
    @Autowired
    private StmtService stmtService;

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public APIResult<Page<UserTagStmt>> UserTagStmtPage(StmtSearchDTO searchDTO) {
        return stmtService.userTagStmtPage(searchDTO.getCode(),searchDTO.getMerchantId(),searchDTO.getCampusId(),searchDTO.getPageSize(),searchDTO.getPageNo());
    }




}
